CVE-2016-0778 (retired)

Priority
Description
The (1) roaming_read and (2) roaming_write functions in roaming_common.c in
the client in OpenSSH 5.x, 6.x, and 7.x before 7.1p2, when certain proxy
and forward options are enabled, do not properly maintain connection file
descriptors, which allows remote servers to cause a denial of service
(heap-based buffer overflow) or possibly have unspecified other impact by
requesting many forwardings.
Assigned-to
mdeslaur
Package
Upstream:released (7.1p2)
Ubuntu 14.04 LTS (Trusty Tahr):released (1:6.6p1-2ubuntu2.4)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (1:7.1p2-2)
More Information

Updated: 2019-03-26 12:18:06 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)